Name:          jaxb2-maven-plugin
Version:       1.6
Release:       %mkrel 6
Group:         Development/Java
Summary:       JAXB-2 Maven Plugin
License:       ASL 2.0
Url:           http://www.mojohaus.org/jaxb2-maven-plugin/
# Source code avialable @ https://github.com/mojohaus/jaxb2-maven-plugin
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires: mojo-parent
BuildRequires: glassfish-jaxb
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-compat)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

# test deps
BuildRequires: aopalliance
BuildRequires: cglib
BuildRequires: junit
BuildRequires: maven-plugin-testing-harness
BuildRequires: xmlunit

BuildRequires: maven-local
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-plugin

BuildArch:     noarch

%description
Mojo's JAXB-2 Maven plugin is used to create an object graph from
XSDs based on the JAXB 2.1 implementation and to generate XSDs from
JAXB-annotated Java classes.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

sed -i 's/\r//' LICENSE.txt

# used only mvn3 apis
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-compat

# missing build deps
# om_add_dep org.glassfish.jaxb:jaxb-runtime
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId ='jaxb-jxc']/pom:groupId" org.glassfish.jaxb
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId ='jaxb-xjc']/pom:groupId" org.glassfish.jaxb

# missing test deps
%pom_add_dep aopalliance:aopalliance::test
%pom_add_dep net.sf.cglib:cglib::test

# Disable integration tests
%pom_xpath_remove "pom:profiles"

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.6-6.mga6
+ Revision: 982607
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.6-5.mga6
+ Revision: 976450
- First rebuild of the java stack
- sync package jaxb2-maven-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.5-8.mga5
+ Revision: 805794
- Clean rebuild
- Sync with Fedora 21
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.5-6.mga5
+ Revision: 748586
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 10 2014 dmorgan <dmorgan> 1.5-4.mga5
+ Revision: 621701
- Add maven-plugin-cobertura as BR

* Fri Dec 20 2013 dmorgan <dmorgan> 1.5-3.mga4
+ Revision: 559155
- imported package jaxb2-maven-plugin


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 gil cattaneo <puntogil@libero.it> 1.5-2
- switch to XMvn
- minor changes to adapt to current guideline

* Thu May 09 2013 gil cattaneo <puntogil@libero.it> 1.5-1
- initial rpm
